Subject: Re: bug#70068: [PATCH] Don't warn about lexical binding in lisp-interaction-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Apr 2024 12:51:59 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Tue, 9 Apr 2024 10:57:40 +0200
> Cc: Eli Zaretskii <[email-masked]>,
>  Philip Kaludercic <[email-masked]>,
>  [email-masked]
> 
> 8 apr. 2024 kl. 14.02 skrev Stefan Monnier <[email-masked]>:
> 
> >>> I like the third option.
> >> 
> >> Agreed.
> > 
> > I vote against 1, and I'm fine with both 2 and 3.
> 
> Looks like option 3 won. Actually I implemented option 3' which is like 3 but checks the mode instead of lexical-binding, on the grounds that a user who damages his lexical cookie by mistake wants to be reminded of it as soon as possible.

That's not what I see in the changes you installed on master.

But if you want to check the mode, against what would you compare it?